org.omg.CosNaming

## Class NameComponent

- java.lang.Object
- - org.omg.CosNaming.NameComponent

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class NameComponent
      extends Object
      implements IDLEntity

  org/omg/CosNaming/NameComponent.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Saturday, November 15, 2014 4:31:40 PM GMT
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `id`
    `String` | `kind`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameComponent()`
    `NameComponent(String _id, String _kind)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

    - #### kind

          public String kind

  - ### Constructor Detail

    - #### NameComponent

          public NameComponent()

    - #### NameComponent

          public NameComponent(String _id,
                       String _kind)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.